<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\TipoNovedad;

class TipoNovedadController extends Controller
{
    public function index(Request $request) 
    {
        $filtro = $request->get('filtro');
        $paginar = $request->get('paginar') === 'true';

        $tipos_novedad = TipoNovedad::orderBy('id', 'ASC')
            ->orWhere('nombre', 'LIKE', '%'.$filtro.'%');

        if ($paginar) 
        {
            $tipos_novedad = $tipos_novedad->paginate(5);
            $paginacion =
            [
                'total'         => $tipos_novedad->total(),
                'pagina_actual' => $tipos_novedad->currentPage(),
                'por_pagina'    => $tipos_novedad->perPage(),
                'ultima_pagina' => $tipos_novedad->lastPage(),
                'desde'         => $tipos_novedad->firstItem(),
                'hasta'         => $tipos_novedad->lastItem(),
            ];
        }
        else {
            $tipos_novedad = $tipos_novedad->get();
            $paginacion = [];
        }

        return [
            'paginacion' => $paginacion,
            'tipos_novedad' => $tipos_novedad
        ];
    }
}
